// Copyright (C) 1999-2002, Matevz Tadel.
// This file is part of fltk-mt. License: GNU LGPL version 2.

#include <FL/Fl_ScrollPack.H>

Fl_ScrollPack::Fl_ScrollPack(int x, int y, int w, int h, const char* t) :
  Fl_Group(x, y, w, h, t)
{
  sp_scroll = new Fl_Scroll(x, y, w, h);
  sp_pack   = new Fl_Pack(x, y, w-2, 1);
  sp_pack->type(FL_VERTICAL);
  sp_pack->end();
  sp_scroll->end();
  resizable(sp_scroll);

  sp_scroll->scrollbar.resize(x+w-2, y, 2, h);
  sp_scroll->hscrollbar.resize(0,0, w-2, 1);
}
