#include <FL/Fl_Window.H>
#include <FL/Fl_Button.H>
#include <FL/Fl.H>

#include <FL/Fl_Widget_Labeler.H>
#include <FL/Fl_SWM.H>

// chunk size set to 10 chars to force truncating

class WL_Test : public Fl_Window,
		public Fl_Widget_Labeler,
		public Fl_SWM_Client
{
public:
  WL_Test() : Fl_Window(10, 3, "WL_Test"), Fl_Widget_Labeler(10)
  {
    for(int i=0; i<3; ++i) {
      Fl_Button* b = new Fl_Button(0, i, 10, 1);
      char l[5*(i+1) + 1];
      int k=0;
      for(int j=0; j<=i; ++j,k+=5) {
	l[k] = '1'; l[k+1] = '2'; l[k+2] = '3'; l[k+3] = '4'; l[k+4] = '5';
      }
      l[k] = 0;
      label_widget(b, l);
    }
  }
};

int
main(int argc, char** argv) {
  Fl_SWM_Manager x;
  //x.show_ctrl();
  WL_Test wl;
  x.adopt_window(&wl);
  wl.show();
  Fl::run();
}
