// $Header$
#include <FL/Fl_File_Name.H>

#include <FL/Fl_File_Chooser.H>

int
Fl_File_Name::handle(int ev) {
  if(ev==FL_PUSH && Fl::event_button() == 3) return 1;
  if(ev==FL_RELEASE && Fl::event_button() == 3) {
    char* file = fl_file_chooser(label(), 0, value(), 0);
    if(file) {
      value(file);
      do_callback();
      redraw();
    }
    return 1;
  }
  return Fl_Input::handle(ev);
}
