#include <FL/Fl_File_Name.H>
#include <FL/Fl_Window.H>
#include <FL/Fl_Box.H>
#include <FL/Fl.H>

#include <FL/Fl_File_Chooser.H>

#include <iostream>
using namespace std;

Fl_File_Chooser         *fc;

void def_fc(Fl_Button* b, void* ud)
{
  char* foo = fl_file_chooser("Yooh!", 0, 0, 0);
  if(foo)
    cout << foo <<" selected\n";
  else
    cout << "ni!\n";
}

void foo_fc(Fl_Button* b, void* ud)
{
  fc->show();
}

/**************************************************************************/

main() {
  fc = new Fl_File_Chooser(".", "*", Fl_File_Chooser::SINGLE, "Fl_File_Chooser Test");

  Fl_Window* w = new Fl_Window(200,100,"filename");

  Fl_Box* b = new Fl_Box(FL_EMBOSSED_BOX,
			 20, 0, 180, 20,
			 "Right-click in the input field");
  b->labelsize(10); b->color(fl_color_cube(4, 4, 3));

  Fl_File_Name* fna = new Fl_File_Name(20,20,180,20, "A:");
  Fl_File_Name* fnb = new Fl_File_Name(20,40,180,20, "B:");

  Fl_Button* but = new Fl_Button(20,60,180,20,"Std chooser");
  but->callback((Fl_Callback*)def_fc,0);

  Fl_Button* foo = new Fl_Button(20,80,180,20,"Foo chooser");
  foo->callback((Fl_Callback*)foo_fc,0);

  w->end();
  w->show();

  Fl::run();
}
